| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Namespaces | Classes | Enumerations | Functions
Hazelnp Namespace Reference

## Namespaces
| Internal
| Placeholders

## Classes
class | CmdArgsInterface
| The main class to interface with. More...
class | FloatValue
| Specializations for floating point values (uses long double) More...
class | HazelnuppConstraintException
| Gets thrown something bad happens because of parameter constraints. More...
class | HazelnuppConstraintIncompatibleParameters
| Gets thrown when a parameter constrained to be incompatible with other parameters gets supplied alongside at least one of those incompatible ones. More...
class | HazelnuppConstraintMissingValue
| Gets thrown when a parameter constrained to be required is not provided, and has no default value set. More...
class | HazelnuppConstraintTypeMissmatch
| Gets thrown when a parameter is of a type that does not match the required type, and is not convertible to it. More...
class | HazelnuppException
| Generic hazelnupp exception. More...
class | HazelnuppInvalidKeyException
| Gets thrown when an non-existent key gets dereferenced. More...
class | HazelnuppValueNotConvertibleException
| Gets thrown when an attempt is made to retrieve the wrong data type from a value, when the value not convertible. More...
class | IntValue
| Specializations for integer values (uses long long int) More...
class | ListValue
| Specializations for list values (uses std::vector<Value*>) More...
struct | ParamConstraint
class | Parameter
class | StringValue
| Specializations for string values (uses std::string) More...
class | Value
| Abstract class for values. More...
class | VoidValue
| Specializations for void values. More...

## Enumerations
enum | DATA_TYPE { DATA_TYPE::VOID, DATA_TYPE::INT, DATA_TYPE::FLOAT, DATA_TYPE::STRING, DATA_TYPE::LIST }
| The different data types a paramater can be. More...

## Functions
static std::string | DataTypeToString (DATA_TYPE type)

## Enumeration Type Documentation

## ◆ DATA_TYPE

enum Hazelnp::DATA_TYPE
| strong

The different data types a paramater can be.

Enumerator
VOID |
INT |
FLOAT |
STRING |
LIST |

Definition at line 8 of file DataType.h.

9 {
10 VOID,
11 INT,
12 FLOAT,
13 STRING,
14 LIST
15 };

## Function Documentation

## ◆ DataTypeToString()

static std::string Hazelnp::DataTypeToString | ( | DATA_TYPE | type | ) |
| inline static

Definition at line 17 of file DataType.h.

18 {
19 switch (type)
20 {
21 case DATA_TYPE::VOID:
22 return "VOID";
23
24 case DATA_TYPE::INT:
25 return "INT";
26
27 case DATA_TYPE::FLOAT:
28 return "FLOAT";
29
30 case DATA_TYPE::STRING:
31 return "STRING";
32
33 case DATA_TYPE::LIST:
34 return "LIST";
35 }
36
37 return "";
38 }
Hazelnp::DATA_TYPE::VOID
@ VOID
Hazelnp::DATA_TYPE::LIST
@ LIST
Hazelnp::DATA_TYPE::FLOAT
@ FLOAT
Hazelnp::DATA_TYPE::INT
@ INT
Hazelnp::DATA_TYPE::STRING
@ STRING